LOWDOWN_LATEX_NEW(3)

NAME
lowdown_latex_new - allocate a Markdown LaTeX renderer

LIBRARY
liblowdown

SYNOPSIS
#include <sys/queue.h>
#include <stdio.h>
#include <lowdown.h>
void *
lowdown_latex_new(const struct lowdown_opts *opts);

DESCRIPTION
Allocates an LaTeX renderer using opts->flags, or zero if opts is NULL. This field is documented in lowdown(3). The returned pointer may be used with multiple invocations of lowdown_latex_rndr(3) and must be freed with lowdown_latex_free(3).

The bits recognised in opts->oflags are LOWDOWN_LATEX_NUMBERED, LOWDOWN_SKIP_HTML, and LOWDOWN_STANDALONE.

RETURN VALUES
Returns a pointer to the renderer or NULL on memory failure. The returned pointer must be freed with lowdown_latex_free(3).

EXAMPLES
The following parses b of length bsz and outputs in LaTeX format.

    struct lowdown_buf *out;
    struct lowdown_doc *doc;
    struct lowdown_node *n;
    void *rndr;
    if ((doc = lowdown_doc_new(NULL)) == NULL)
    	err(1, NULL);
    if ((n = lowdown_doc_parse(doc, NULL, b, bsz, NULL)) == NULL)
    	err(1, NULL);
    if ((out = lowdown_buf_new(256)) == NULL)
    	err(1, NULL);
    if ((rndr = lowdown_latex_new(NULL)) == NULL)
    	err(1, NULL);
    if (!lowdown_latex_rndr(out, rndr, n))
    	err(1, NULL);
    fwrite(out->data, 1, out->size, stdout);
    lowdown_latex_free(rndr);
    lowdown_buf_free(out);
    lowdown_node_free(n);
    lowdown_doc_free(doc);

SEE ALSO
lowdown(3), lowdown_latex_free(3), lowdown_latex_rndr(3)